/*CopyrightNotice001

*****************************************************************
                          COPYRIGHT NOTIFICATION
*****************************************************************

THE FOLLOWING IS A NOTICE OF COPYRIGHT, AVAILABILITY OF THE CODE,
AND DISCLAIMER WHICH MUST BE INCLUDED IN THE PROLOGUE OF THE CODE
AND IN ALL SOURCE LISTINGS OF THE CODE.
 
(C)  COPYRIGHT 1995 UNIVERSITY OF CHICAGO
 
Argonne National Laboratory (ANL), with facilities in the States of 
Illinois and Idaho, is owned by the United States Government, and
operated by the University of Chicago under provision of a contract
with the Department of Energy.

Portions of this material resulted from work developed under a U.S.
Government contract and are subject to the following license:  For
a period of five years from June 30, 1995, the Government is
granted for itself and others acting on its behalf a paid-up,
nonexclusive, irrevocable worldwide license in this computer
software to reproduce, prepare derivative works, and perform
publicly and display publicly.  With the approval of DOE, this
period may be renewed for two additional five year periods. 
Following the expiration of this period or periods, the Government
is granted for itself and others acting on its behalf, a paid-up,
nonexclusive, irrevocable worldwide license in this computer
software to reproduce, prepare derivative works, distribute copies
to the public, perform publicly and display publicly, and to permit
others to do so.

*****************************************************************
                                DISCLAIMER
*****************************************************************

NEITHER THE UNITED STATES GOVERNMENT NOR ANY AGENCY THEREOF, NOR
THE UNIVERSITY OF CHICAGO, NOR ANY OF THEIR EMPLOYEES OR OFFICERS,
MAKES ANY WARRANTY, EXPRESS OR IMPLIED, OR ASSUMES ANY LEGAL
LIABILITY OR RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR
USEFULNESS OF ANY INFORMATION, APPARATUS, PRODUCT, OR PROCESS
DISCLOSED, OR REPRESENTS THAT ITS USE WOULD NOT INFRINGE PRIVATELY
OWNED RIGHTS.  

*****************************************************************
LICENSING INQUIRIES MAY BE DIRECTED TO THE INDUSTRIAL TECHNOLOGY
DEVELOPMENT CENTER AT ARGONNE NATIONAL LABORATORY.

CopyrightNotice001*/

/* file   : constants.h
 * purpose: mathematical and physical constants
 *
 * Michael Borland, 1991
 $Log: constants.h,v $
 * Revision 1.2  1995/09/05  21:14:58  saunders
 * First test release of the SDDS1.5 package.
 *
 */

/* mathematical constants from Abramowitz and Stegun */
#define PI   3.141592653589793238462643
#define PIx2 6.283185307179586476925287
#define PIo2 1.570796326794896619231322
#define SQRT2 1.4142135623730950488

/* physical constants from 1988 Particle Properties Data Booklet */
    /* speed of light */
#define c_cgs	(2.99792458e10)
#define c_mks   (2.99792458e8)
    /* unit charge */
#define e_cgs   (4.8032068e-10)
#define e_mks   (1.60217733e-19)
    /* electron mass */
#define me_cgs (9.1093897e-28)
#define me_mks (9.1093897e-31)
#define me_mev (0.51099906)
    /* Planck's constant */
#define h_cgs (6.6260755e-27)
#define hbar_cgs (h_cgs/PIx2)
#define h_mks (6.6260755e-34)
#define hbar_mks (h_mks/PIx2)
    /* Boltzmann's constant */
#define k_boltzmann_cgs (1.380658e-16)
#define k_boltzmann_mks (1.380658e-23)
    /* mu and epsilon */
#define mu_o (4*PI*1e-7)
#define epsilon_o (1.e7/(4*PI*sqr(c_mks)))

