/*CopyrightNotice001

*****************************************************************
                          COPYRIGHT NOTIFICATION
*****************************************************************

THE FOLLOWING IS A NOTICE OF COPYRIGHT, AVAILABILITY OF THE CODE,
AND DISCLAIMER WHICH MUST BE INCLUDED IN THE PROLOGUE OF THE CODE
AND IN ALL SOURCE LISTINGS OF THE CODE.
 
(C)  COPYRIGHT 1995 UNIVERSITY OF CHICAGO
 
Argonne National Laboratory (ANL), with facilities in the States of 
Illinois and Idaho, is owned by the United States Government, and
operated by the University of Chicago under provision of a contract
with the Department of Energy.

Portions of this material resulted from work developed under a U.S.
Government contract and are subject to the following license:  For
a period of five years from June 30, 1995, the Government is
granted for itself and others acting on its behalf a paid-up,
nonexclusive, irrevocable worldwide license in this computer
software to reproduce, prepare derivative works, and perform
publicly and display publicly.  With the approval of DOE, this
period may be renewed for two additional five year periods. 
Following the expiration of this period or periods, the Government
is granted for itself and others acting on its behalf, a paid-up,
nonexclusive, irrevocable worldwide license in this computer
software to reproduce, prepare derivative works, distribute copies
to the public, perform publicly and display publicly, and to permit
others to do so.

*****************************************************************
                                DISCLAIMER
*****************************************************************

NEITHER THE UNITED STATES GOVERNMENT NOR ANY AGENCY THEREOF, NOR
THE UNIVERSITY OF CHICAGO, NOR ANY OF THEIR EMPLOYEES OR OFFICERS,
MAKES ANY WARRANTY, EXPRESS OR IMPLIED, OR ASSUMES ANY LEGAL
LIABILITY OR RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR
USEFULNESS OF ANY INFORMATION, APPARATUS, PRODUCT, OR PROCESS
DISCLOSED, OR REPRESENTS THAT ITS USE WOULD NOT INFRINGE PRIVATELY
OWNED RIGHTS.  

*****************************************************************
LICENSING INQUIRIES MAY BE DIRECTED TO THE INDUSTRIAL TECHNOLOGY
DEVELOPMENT CENTER AT ARGONNE NATIONAL LABORATORY.

CopyrightNotice001*/

/* file   : mdbsunos4.h
 * purpose: definitions for general use, for mdblib, and for mdbmth.
 *          These definitions are specific to the SUNOS4.
 *
 * Michael Borland, 1988
 $Log: mdbsunos4.h,v $
 * Revision 1.2  1995/09/05  21:15:20  saunders
 * First test release of the SDDS1.5 package.
 *
 */
#ifndef _MDBSUNOS4_
#define _MDBSUNOS4_ 1

/* escape sequences for VT100/200 series terminals */
#define CLEAR_SCREEN "\033[2J"
#define HOME_SCREEN  "\033[H"
#define HOME_CLEAR "\033[2J\033[H"

/* commonly needed terminal control characters */
#define CARRIAGE_RETURN '\015'
#define LINE_FEED '\012'
#define FORM_FEED '\014'
#define BACK_SPACE '\010'
#define ESCAPE '\033'

/************************ mathematical stuff *******************************/
#ifndef _MDBSUNOS4_MTH_
#define _MDBSUNOS4_MTH_ 1

#define MAX_LONG LONG_MAX

#if !defined(HUGE)
#define HUGE HUGE_VAL
#endif
#define FHUGE ((float)HUGE)

#endif  /* _MDBSUNOS4_MTH_ */

#endif  /* _MDBSUNOS4_ */

/*   -- Run-time statistics: */
extern long cpu_time(void);
extern long page_faults(void);
extern long dio_count(void);
extern long bio_count(void);
extern long init_stats(void);
extern char *elapsed_time();
extern long memory_count(void);
extern void report_stats(FILE *fp, char *label);
extern double delapsed_time();

extern char *mtime(void);

