/*CopyrightNotice001

*****************************************************************
                          COPYRIGHT NOTIFICATION
*****************************************************************

THE FOLLOWING IS A NOTICE OF COPYRIGHT, AVAILABILITY OF THE CODE,
AND DISCLAIMER WHICH MUST BE INCLUDED IN THE PROLOGUE OF THE CODE
AND IN ALL SOURCE LISTINGS OF THE CODE.
 
(C)  COPYRIGHT 1995 UNIVERSITY OF CHICAGO
 
Argonne National Laboratory (ANL), with facilities in the States of 
Illinois and Idaho, is owned by the United States Government, and
operated by the University of Chicago under provision of a contract
with the Department of Energy.

Portions of this material resulted from work developed under a U.S.
Government contract and are subject to the following license:  For
a period of five years from June 30, 1995, the Government is
granted for itself and others acting on its behalf a paid-up,
nonexclusive, irrevocable worldwide license in this computer
software to reproduce, prepare derivative works, and perform
publicly and display publicly.  With the approval of DOE, this
period may be renewed for two additional five year periods. 
Following the expiration of this period or periods, the Government
is granted for itself and others acting on its behalf, a paid-up,
nonexclusive, irrevocable worldwide license in this computer
software to reproduce, prepare derivative works, distribute copies
to the public, perform publicly and display publicly, and to permit
others to do so.

*****************************************************************
                                DISCLAIMER
*****************************************************************

NEITHER THE UNITED STATES GOVERNMENT NOR ANY AGENCY THEREOF, NOR
THE UNIVERSITY OF CHICAGO, NOR ANY OF THEIR EMPLOYEES OR OFFICERS,
MAKES ANY WARRANTY, EXPRESS OR IMPLIED, OR ASSUMES ANY LEGAL
LIABILITY OR RESPONSIBILITY FOR THE ACCURACY, COMPLETENESS, OR
USEFULNESS OF ANY INFORMATION, APPARATUS, PRODUCT, OR PROCESS
DISCLOSED, OR REPRESENTS THAT ITS USE WOULD NOT INFRINGE PRIVATELY
OWNED RIGHTS.  

*****************************************************************
LICENSING INQUIRIES MAY BE DIRECTED TO THE INDUSTRIAL TECHNOLOGY
DEVELOPMENT CENTER AT ARGONNE NATIONAL LABORATORY.

CopyrightNotice001
 $Log: scan.h,v $
 * Revision 1.2  1995/09/05  21:15:39  saunders
 * First test release of the SDDS1.5 package.
 *
*/

/* define structure for use with scanargs(), scanlist() */
#if !defined(SCAN_INCLUDED)
#define SCAN_INCLUDED 1

typedef struct {
    long arg_type;	/* type of argument */
    long n_items;	/* number of items in list */
    char **list;	/* the list */
    } SCANNED_ARG;

/* possible values for arg_type */
#define OPTION 		1
#define A_LIST 		2

extern int scanargs(SCANNED_ARG **scanned, int argc, char **argv);
extern int scanargsg(SCANNED_ARG **scanned, int argc, char **argv);
extern int parseList(char ***list, char *string);
long processPipeOption(char **item, long items, unsigned long *flags);
#define USE_STDIN      0x0001UL
#define USE_STDOUT     0x0002UL
#define DEFAULT_STDIN  0x0004UL
#define DEFAULT_STDOUT 0x0008UL

void processFilenames(char *programName, char **input, char **output, unsigned long pipeFlags,
                      long noWarnings, long *tmpOutputUsed);

#include "SDDStypes.h"
extern long scan_item_list(unsigned long *flags, char **item, long *items, ...);
/* usage: scan_item_list(&flags, item, &items, 
               <keyword>, <SDDS-type>, <pointer>, <number-required>, <set-flag>, etc.
               NULL)
 */

#endif

